# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KEditListBox Class Reference

An editable listbox. More...

`#include <keditlistbox.h>`

Inheritance diagram for KEditListBox:

[legend]
Collaboration diagram for KEditListBox:

[legend]
List of all members.

## Public Types

enum | Button { Add = 1, Remove = 2, UpDown = 4, All = Add|Remove|UpDown }
| Enumeration of the buttons, the listbox offers. More...

## Signals

void | changed ()

## Public Member Functions

| KEditListBox (QWidget *parent=0, const char *name=0, bool checkAtEntering=false, int buttons=All)
| Create an editable listbox.
| KEditListBox (const QString &title, QWidget *parent=0, const char *name=0, bool checkAtEntering=false, int buttons=All)
| Create an editable listbox.
| KEditListBox (const QString &title, const CustomEditor &customEditor, QWidget *parent=0, const char *name=0, bool checkAtEntering=false, int buttons=All)
| Another constructor, which allows to use a custom editing widget instead of the standard KLineEdit widget.
QListBox * | listBox () const
| Return a pointer to the embedded QListBox.
KLineEdit * | lineEdit () const
| Return a pointer to the embedded QLineEdit.
QPushButton * | addButton () const
| Return a pointer to the Add button.
QPushButton * | removeButton () const
| Return a pointer to the Remove button.
QPushButton * | upButton () const
| Return a pointer to the Up button.
QPushButton * | downButton () const
| Return a pointer to the Down button.
int | count () const
| See QListBox::count().
void | insertStringList (const QStringList &list, int index=-1)
| See QListBox::insertStringList().
void | insertStrList (const QStrList *list, int index=-1)
| See QListBox::insertStringList().
void | insertStrList (const QStrList &list, int index=-1)
| See QListBox::insertStrList().
void | insertStrList (const char **list, int numStrings=-1, int index=-1)
| See QListBox::insertStrList().
void | insertItem (const QString &text, int index=-1)
| See QListBox::insertItem().
void | clear ()
| Clears both the listbox and the line edit.
QString | text (int index) const
| See QListBox::text().
int | currentItem () const
| See QListBox::currentItem().
QString | currentText () const
| See QListBox::currentText().
QStringList | items () const

## Protected Slots

void | moveItemUp ()
void | moveItemDown ()
void | addItem ()
void | removeItem ()
void | enableMoveButtons (int index)
void | typedSomething (const QString &text)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An editable listbox.

This class provides a editable listbox ;-), this means a listbox which is accompanied by a line edit to enter new items into the listbox and pushbuttons to add and remove items from the listbox and two buttons to move items up and down.

Definition at line 39 of file keditlistbox.h.

## Member Enumeration Documentation

enum KEditListBox::Button

| Enumeration of the buttons, the listbox offers. Specify them in the constructor in the buttons parameter. Definition at line 81 of file keditlistbox.h.

## Constructor & Destructor Documentation

KEditListBox::KEditListBox | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | checkAtEntering = false,
|  | int | buttons = All
| ) |

Create an editable listbox.

If `checkAtEntering` is true, after every character you type in the line edit KEditListBox will enable or disable the Add-button, depending whether the current content of the line edit is already in the listbox. Maybe this can become a performance hit with large lists on slow machines. If `checkAtEntering` is false, it will be checked if you press the Add-button. It is not possible to enter items twice into the listbox.

Definition at line 48 of file keditlistbox.cpp.

References KStdAccel::name().

KEditListBox::KEditListBox | ( | const QString & | title,
|  | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | checkAtEntering = false,
|  | int | buttons = All
| ) |

| Create an editable listbox. The same as the other constructor, additionally it takes , which will be the title of the frame around the listbox. Definition at line 55 of file keditlistbox.cpp. References KStdAccel::name().

KEditListBox::KEditListBox | ( | const QString & | title,
|  | const CustomEditor & | customEditor,
|  | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | checkAtEntering = false,
|  | int | buttons = All
| ) |

Another constructor, which allows to use a custom editing widget instead of the standard KLineEdit widget.

E.g. you can use a KURLRequester or a KComboBox as input widget. The custom editor must consist of a lineedit and optionally another widget that is used as representation. A KComboBox or a KURLRequester have a KLineEdit as child-widget for example, so the KComboBox is used as the representation widget.

See also:
  KURLRequester::customEditor()

Since:
  3.1

Definition at line 62 of file keditlistbox.cpp.

References KEditListBox::CustomEditor::lineEdit(), KStdAccel::name(), and KEditListBox::CustomEditor::representationWidget().

## Member Function Documentation

QListBox* KEditListBox::listBox | ( |  | ) | const`[inline]`

| Return a pointer to the embedded QListBox. Definition at line 129 of file keditlistbox.h.

KLineEdit* KEditListBox::lineEdit | ( |  | ) | const`[inline]`

| Return a pointer to the embedded QLineEdit. Definition at line 133 of file keditlistbox.h.

QPushButton* KEditListBox::addButton | ( |  | ) | const`[inline]`

| Return a pointer to the Add button. Definition at line 137 of file keditlistbox.h.

QPushButton* KEditListBox::removeButton | ( |  | ) | const`[inline]`

| Return a pointer to the Remove button. Definition at line 141 of file keditlistbox.h.

QPushButton* KEditListBox::upButton | ( |  | ) | const`[inline]`

| Return a pointer to the Up button. Definition at line 145 of file keditlistbox.h.

QPushButton* KEditListBox::downButton | ( |  | ) | const`[inline]`

| Return a pointer to the Down button. Definition at line 149 of file keditlistbox.h.

int KEditListBox::count | ( |  | ) | const`[inline]`

| See QListBox::count(). Definition at line 154 of file keditlistbox.h. References QListBox::count().

void KEditListBox::insertStringList | ( | const QStringList & | list,
|  | int | index = -1
| ) |

| See QListBox::insertStringList(). Definition at line 349 of file keditlistbox.cpp. References QListBox::insertStringList().

void KEditListBox::insertStrList | ( | const QStrList * | list,
|  | int | index = -1
| ) |

| See QListBox::insertStringList(). Definition at line 354 of file keditlistbox.cpp. References QListBox::insertStrList().

void KEditListBox::insertStrList | ( | const QStrList & | list,
|  | int | index = -1
| ) |

| See QListBox::insertStrList(). Definition at line 359 of file keditlistbox.cpp. References QListBox::insertStrList().

void KEditListBox::insertStrList | ( | const char ** | list,
|  | int | numStrings = -1,
|  | int | index = -1
| ) |

| See QListBox::insertStrList(). Definition at line 364 of file keditlistbox.cpp. References QListBox::insertStrList().

void KEditListBox::insertItem | ( | const QString & | text,
|  | int | index = -1
| ) | `[inline]`

| See QListBox::insertItem(). Definition at line 174 of file keditlistbox.h. References QListBox::insertItem().

void KEditListBox::clear | ( |  | ) |

| Clears both the listbox and the line edit. Definition at line 342 of file keditlistbox.cpp. References QListBox::clear(), and KLineEdit::clear().

QString KEditListBox::text | ( | int | index | ) | const`[inline]`

| See QListBox::text(). Definition at line 182 of file keditlistbox.h. References QListBox::text().

int KEditListBox::currentItem | ( |  | ) | const

| See QListBox::currentItem(). Definition at line 282 of file keditlistbox.cpp. References QListBox::currentItem(), and QListBox::item().

QString KEditListBox::currentText | ( |  | ) | const`[inline]`

| See QListBox::currentText(). Definition at line 190 of file keditlistbox.h. References QListBox::currentText().

QStringList KEditListBox::items | ( |  | ) | const

Returns:
  a stringlist of all items in the listbox

Definition at line 369 of file keditlistbox.cpp.

References QListBox::count(), and QListBox::text().

The documentation for this class was generated from the following files:

- keditlistbox.h
- keditlistbox.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:00:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001